<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/home_coordinatorLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_f4f"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/title_dark_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="@dimen/dp_25"
        android:paddingEnd="25dp">

        <TextView
            android:id="@+id/tvSnName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_28"
            android:text="血糖仪SN号"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <androidx.cardview.widget.CardView
            android:id="@+id/mSearch"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_55"
            android:layout_marginBottom="@dimen/dp_34"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="@dimen/dp_28"
            app:cardElevation="0dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/mTitle">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/dp_23"
                android:paddingEnd="@dimen/dp_20">

                <EditText
                    android:id="@+id/tvSnNum"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_toStartOf="@+id/tvScan"
                    android:background="@null"
                    android:drawablePadding="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:hint="请输入SN号"
                    android:singleLine="true"
                    android:maxLines="1"
                    android:ellipsize="end"
                    android:textColor="@color/col_455"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tvScan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:drawableStart="@mipmap/ic_bind_device_scan"
                    android:drawablePadding="@dimen/dp_6"
                    android:gravity="center"
                    android:padding="@dimen/dp_6"
                    android:paddingStart="@dimen/dp_10"
                    android:paddingEnd="@dimen/dp_10"
                    android:text="去扫码"
                    android:textColor="@color/col_25C"
                    android:textSize="@dimen/sp_12"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

            </RelativeLayout>

        </androidx.cardview.widget.CardView>

        <TextView
            android:id="@+id/tvHintOne"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_71"
            android:text="支持扫码: \n\n1、产品说明书上的设备二维码 \n2、仪器背面的二维码 \n3、仪器背面的条形码"
            android:textColor="@color/col_7c7"
            android:textSize="@dimen/sp_15"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tvHintTwo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_15"
            android:visibility="gone"
            android:layout_marginBottom="@dimen/dp_71"
            android:textColor="@color/col_7c7"
            android:text="支持扫码: \n\n1、产品说明书上的设备二维码 \n2、扫描设备背面或者包装盒侧面SN号 "
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tvBindDevice"
            android:layout_width="@dimen/dp_172"
            android:layout_height="@dimen/dp_50"
            android:gravity="center"
            android:layout_gravity="center"
            android:background="@drawable/shape_bind_device"
            android:text="立即绑定"
            android:textStyle="bold"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_18"
            tools:ignore="HardcodedText" />

    </LinearLayout>

</LinearLayout>
